petsc-3.4.2 2013-07-02

# PetscRandomGetValueReal

Generates a purely real random number. Call this after first calling PetscRandomCreate().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomGetValueReal(PetscRandom r,PetscReal *val)

Not Collective

### Intput Parameter

r -the random number generator context

### Output Parameter

val -the value

### Notes

Use VecSetRandom() to set the elements of a vector to random numbers.

### Example of Usage

          PetscRandomCreate(PETSC_COMM_WORLD,&r);
          PetscRandomGetValueReal(r,&value1);
          PetscRandomGetValueReal(r,&value2);
          PetscRandomGetValueReal(r,&value3);
          PetscRandomDestroy(&r);

### See Also

PetscRandomCreate(), PetscRandomDestroy(), VecSetRandom(), PetscRandomGetValue()

Level:intermediate
Location:src/sys/classes/random/interface/random.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex39.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html